import { useDispatch, useSelector } from 'react-redux'
import type { Dispatch, RootState } from '../store/store'

// Use instead of plain `useDispatch` and `useSelector`
export const useAppDispatch = useDispatch.withTypes<Dispatch>()
export const useAppSelector = useSelector.withTypes<RootState>()
